Project JEDI - Issue Tracker
Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0005566 [JEDI VCL] 04 Feature Request minor always 2011-05-03 20:33 2011-09-21 14:10
Reporter jkelley View Status public  
Assigned To obones
Priority normal Resolution fixed  
Status resolved   Product Version Daily / GIT
Summary 0005566: TJvRequiredFieldValidator should support trimming before validation
Description If I'm using a TJvRequiredFieldValidator to require that a TEdit control be non-empty, I probably also want to make sure that it's not just blank spaces. JvValidators doesn't currently support this use case.

Perhaps add a boolean field "AllowBlank", defaulting to true (for backwards compatibility), and if it's false, then check
  Not VarToStr(R).TrimRight().IsEmpty()
instead of
  VarCompareValue(R, '') <> vrEqual

If this approach sounds good, I can submit a patch.
Additional Information
Tags No tags attached.
Attached Files ? file icon jvvalidators-allowblank.patch [^] (882 bytes) 2011-05-23 18:48

- Relationships

-  Notes
(0018547)
jfudickar (developer)
2011-05-09 21:46

For me this sounds good :-)

So we are waiting for your patch :-)
(0018558)
jkelley (reporter)
2011-05-23 18:49

Done. Thanks.
(0018672)
obones (administrator)
2011-06-08 15:17

Thanks, this is now in SVN

- Issue History
Date Modified Username Field Change
2011-05-03 20:33 jkelley New Issue
2011-05-09 21:46 jfudickar Note Added: 0018547
2011-05-09 21:46 jfudickar Status new => feedback
2011-05-23 18:48 jkelley File Added: jvvalidators-allowblank.patch
2011-05-23 18:49 jkelley Note Added: 0018558
2011-06-07 17:42 obones Status feedback => acknowledged
2011-06-08 15:17 obones Note Added: 0018672
2011-06-08 15:17 obones Status acknowledged => resolved
2011-06-08 15:17 obones Fixed in Version => Daily / SVN
2011-06-08 15:17 obones Resolution open => fixed
2011-06-08 15:17 obones Assigned To => obones
2011-09-21 14:10 obones Fixed in Version Daily / SVN => 3.45


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker